Package com.explodingpixels.macwidgets.plaf

## Class HudComboBoxUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ComboBoxUI
    - - javax.swing.plaf.basic.BasicComboBoxUI
      - - com.explodingpixels.macwidgets.plaf.HudComboBoxUI

    public class HudComboBoxUI
    extends javax.swing.plaf.basic.BasicComboBoxUI

Creates a Heads Up Display (HUD) style combo box, similar to that seen in various iApps (e.g. iPhoto).

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicComboBoxUI

`javax.swing.plaf.basic.BasicComboBoxUI.ComboBoxLayoutManager, javax.swing.plaf.basic.BasicComboBoxUI.FocusHandler, javax.swing.plaf.basic.BasicComboBoxUI.ItemHandler, javax.swing.plaf.basic.BasicComboBoxUI.KeyHandler, javax.swing.plaf.basic.BasicComboBoxUI.ListDataHandler, javax.swing.plaf.basic.BasicComboBoxUI.PropertyChangeHandler`

### Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicComboBoxUI

`arrowButton, cachedMinimumSize, comboBox, currentValuePane, editor, focusListener, hasFocus, isMinimumSizeDirty, itemListener, keyListener, listBox, listDataListener, padding, popup, popupKeyListener, popupMouseListener, popupMouseMotionListener, propertyChangeListener, squareButton`

### Constructor Summary

Constructors
`HudComboBoxUI()` Creates a HUD style `ComboBoxUI`.
`HudComboBoxUI​(boolean isDarkColorScheme)` Creates a HUD style `ComboBoxUI`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected javax.swing.JButton` `createArrowButton()`
`protected java.awt.LayoutManager` `createLayoutManager()`
`protected javax.swing.plaf.basic.ComboPopup` `createPopup()`
`protected javax.swing.ListCellRenderer` `createRenderer()`
`protected java.awt.Dimension` `getDefaultSize()`
`protected java.awt.Dimension` `getDisplaySize()`
`java.awt.Dimension` `getMinimumSize​(javax.swing.JComponent c)`
`protected void` `installComponents()`
`protected void` `installDefaults()`
`protected void` `installListeners()`
`void` `paint​(java.awt.Graphics g, javax.swing.JComponent c)`
`void` `paintCurrentValue​(java.awt.Graphics g, java.awt.Rectangle bounds, boolean hasFocus)`
`protected void` `uninstallDefaults()`
`protected void` `uninstallListeners()`

### Methods inherited from class javax.swing.plaf.basic.BasicComboBoxUI

`addEditor, configureArrowButton, configureEditor, createEditor, createFocusListener, createItemListener, createKeyListener, createListDataListener, createPropertyChangeListener, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getInsets, getMaximumSize, getPreferredSize, getSizeForComponent, installKeyboardActions, installUI, isFocusTraversable, isNavigationKey, isPopupVisible, paintCurrentValueBackground, rectangleForCurrentValue, removeEditor, selectNextPossibleValue, selectPreviousPossibleValue, setPopupVisible, toggleOpenClose, unconfigureArrowButton, unconfigureEditor, uninstallComponents, uninstallKeyboardActions, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HudComboBoxUI

    public HudComboBoxUI()

Creates a HUD style `ComboBoxUI`.

#### HudComboBoxUI

    public HudComboBoxUI​(boolean isDarkColorScheme)

Creates a HUD style `ComboBoxUI`.

### Method Detail

#### installDefaults

    protected void installDefaults()

Overrides:
  `installDefaults` in class `javax.swing.plaf.basic.BasicComboBoxUI`

#### installListeners

    protected void installListeners()

Overrides:
  `installListeners` in class `javax.swing.plaf.basic.BasicComboBoxUI`

#### uninstallListeners

    protected void uninstallListeners()

Overrides:
  `uninstallListeners` in class `javax.swing.plaf.basic.BasicComboBoxUI`

#### uninstallDefaults

    protected void uninstallDefaults()

Overrides:
  `uninstallDefaults` in class `javax.swing.plaf.basic.BasicComboBoxUI`

#### installComponents

    protected void installComponents()

Overrides:
  `installComponents` in class `javax.swing.plaf.basic.BasicComboBoxUI`

#### createArrowButton

    protected javax.swing.JButton createArrowButton()

Overrides:
  `createArrowButton` in class `javax.swing.plaf.basic.BasicComboBoxUI`

#### createRenderer

    protected javax.swing.ListCellRenderer createRenderer()

Overrides:
  `createRenderer` in class `javax.swing.plaf.basic.BasicComboBoxUI`

#### createPopup

    protected javax.swing.plaf.basic.ComboPopup createPopup()

Overrides:
  `createPopup` in class `javax.swing.plaf.basic.BasicComboBoxUI`

#### getMinimumSize

    public java.awt.Dimension getMinimumSize​(javax.swing.JComponent c)

Overrides:
  `getMinimumSize` in class `javax.swing.plaf.basic.BasicComboBoxUI`

#### getDefaultSize

    protected java.awt.Dimension getDefaultSize()

Overrides:
  `getDefaultSize` in class `javax.swing.plaf.basic.BasicComboBoxUI`

#### paint

    public void paint​(java.awt.Graphics g,
                      javax.swing.JComponent c)

Overrides:
  `paint` in class `javax.swing.plaf.basic.BasicComboBoxUI`

#### paintCurrentValue

    public void paintCurrentValue​(java.awt.Graphics g,
                                  java.awt.Rectangle bounds,
                                  boolean hasFocus)

Overrides:
  `paintCurrentValue` in class `javax.swing.plaf.basic.BasicComboBoxUI`

#### getDisplaySize

    protected java.awt.Dimension getDisplaySize()

Overrides:
  `getDisplaySize` in class `javax.swing.plaf.basic.BasicComboBoxUI`

#### createLayoutManager

    protected java.awt.LayoutManager createLayoutManager()

Overrides:
  `createLayoutManager` in class `javax.swing.plaf.basic.BasicComboBoxUI`